import { Event, EventDispatcherConfig } from "@hackler/sdk-core";
export declare type EventDispatcherResponse = {
    statusCode: number;
};
export declare type EventDispatcherCallback = (response: EventDispatcherResponse) => void;
export default class EventDispatcher {
    private readonly sdkKey;
    private readonly headers;
    private readonly dispatchUrl;
    private readonly beaconDispatchUrl;
    private readonly useBeacon;
    constructor(sdkKey: string, config: EventDispatcherConfig);
    dispatch<T>(events: Event[], callback: EventDispatcherCallback): void;
    dispatchXhrOrBeacon<T>(events: Event[], callback: EventDispatcherCallback): void;
    _post(events: Event[], callback: EventDispatcherCallback): void;
    _beacon(events: Event[], callback: EventDispatcherCallback): void;
    _createRequest(events: Event[]): {
        payload: import("@hackler/sdk-core").EventPayloadDto;
        headers: {
            "X-HACKLE-SDK-NAME": string;
            "X-HACKLE-SDK-VERSION": string;
            "X-HACKLE-SDK-KEY": string;
            "X-HACKLE-SDK-TIME": string;
        };
    };
}
//# sourceMappingURL=EventDispatcherImpl.d.ts.map