/// <reference types="node" />
import { Decision, EventProcessor, FeatureFlagDecision, HackleEvent, User, VariationKey, WorkspaceFetcher } from "@hackler/sdk-core";
import { EventEmitter } from "events";
import HackleClient, { PageView } from "./HackleClient";
export default class HackleClientImpl implements HackleClient {
    private hackleInternalClient;
    private hackleUserResolver;
    constructor(workspaceFetcher: WorkspaceFetcher, eventProcessor: EventProcessor, eventEmitter: EventEmitter);
    variation(experimentKey: number, user?: User | string, defaultVariation?: VariationKey): string;
    variationDetail(experimentKey: number, user?: User | string, defaultVariation?: VariationKey): Decision;
    isFeatureOn(featureKey: number, user?: User | string): boolean;
    featureFlagDetail(featureKey: number, user?: User | string): FeatureFlagDecision;
    track(event: HackleEvent | string, user?: User | string): void;
    trackPageView(option?: PageView): void;
    onReady(block: () => void, timeout?: number): void;
    onInitialized(config?: {
        timeout?: number;
    }): Promise<{
        success: boolean;
    }>;
    close(): void;
    private _convertEvent;
}
//# sourceMappingURL=HackleClientImpl.d.ts.map